Chat now with support
Chat with Support

We are currently experiencing issues on our phone support and are working diligently to restore services. For support, please sign in and create a case or email supportadmin@quest.com for assistance

Identity Manager 9.2 - Password Capture Agent Administration Guide

The One Identity Manager Password Capture Agent Managing the Password Capture Agent Fine-tuning automated password synchronization The Password Capture Agent Windows PowerShell module Event log for the Password Capture Agent Customizing security for the Password Capture Agent service Achieving high availability for the web service with Windows Network Load Balancing Installing the Password Capture Agent with MSIEXEC Certificate lookup options Known error codes

The Password Capture Agent Windows PowerShell module

The Password Capture Agent Windows PowerShell module was designed to simplify the setup and management of the Password Capture Agent on domain controllers. This module requires Windows PowerShell remoting to be configured and enabled on the domain controllers to establish a connection and run the commands.

This Windows PowerShell module is intended for use on a Windows workstation with Windows PowerShell version 3.0 or later installed and while logged on with a domain account that is in the Domain Admins built-in group. The Password Capture Agent installer must be placed on a shared network or copied manually to all domain controllers.

To allow administrators to better check for configuration errors, we integrated some validations into the functions that will display warnings on any possible misconfiguration: for example, if the password encryption certificate is not installed.

NOTE: This module does not install the web service. This module also does not generate and install the certificate required to encrypt passwords sent to the web service.

Prerequisites

The Password Capture Agent Windows PowerShell module has different requirements for the workstation or server the module is running on and for the domain controllers where the Password Capture Agent is installed.

Related topics

Running the Password Capture Agent Windows PowerShell module

The Password Capture Agent Windows PowerShell module requires Windows PowerShell version 3.0 or later. It is recommended to use Windows PowerShell version 4.0.

The execution policy for Windows PowerShell must allow the execution of signed scripts. For more information, see the Microsoft documentation (About Execution Policies).

Configuration targets

To use the Password Capture Agent Windows PowerShell module to remotely configure the Password Capture Agent on the domain controllers, these servers must have Windows PowerShell remoting configured and enabled.

For more information, see the Microsoft documentation (About Remote Troubleshooting).

Related Documents

The document was helpful.

Select Rating

I easily found the information I needed.

Select Rating